
%global packagename kgb

Name:           python-%{packagename}
Version:        0.5.1
Release:        5%{?dist}
Summary:        Utilities for spying on function calls in unit tests

License:        MIT
URL:            https://github.com/beanbaginc/kgb
Source0:        https://pypi.python.org/packages/source/k/%{packagename}/%{packagename}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%description
Spies intercept and record calls to functions. They can report on how many
times a function was called and with what arguments. They can allow the
function call to go through as normal, to block it, or to reroute it to another
function.

%prep
%setup -q -n %{packagename}-%{version}
rm -Rf kgb*.egg-info


%build
%{__python2} setup.py build


%install
%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%check
%{__python2} setup.py test -s kgb.tests
 
%files
%doc AUTHORS NEWS README.md
%{python2_sitelib}/kgb*.egg-info/
%{python2_sitelib}/kgb/

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Sep 17 2014 Stephen Gallagher <sgallagh@redhat.com> 0.5.1-1
- First official release

* Tue Sep 16 2014 Stephen Gallagher <sgallagh@redhat.com> 0.5.1-0.2
- Add AUTHORS, NEWS and README.md to %%doc
- Remove unnecessary buildroot cleanup in %%install

* Tue Sep 16 2014 Stephen Gallagher <sgallagh@redhat.com> 0.5.1-0.1
- Initial release
